Subject: [pim] PIM state machine queries

From: "Nikhil Ninan" <[email-masked]>
Date: Thu, 19 Mar 2009 10:26:48 -0000

Hello all,

              I am doing some research work on PIM state machine
implementation within a test-bed. I have enabled PIM debug on the RP and
source's DR. Everything seems to be fine but I have a query why the
following messages were shown at the RP and source's DR respectively,

At Source's DR,

                PIM(0): Building Periodic Join/Prune message for 224.10.10.1

At RP,

Building Periodic (*,G) Join / (S,G,RP-bit) Prune message for 224.10.10.1

These messages are shown periodically after the initial messages about
sending, receiving register and register-stop messages. But I don't see the
two messages mentioned above on the physical interfaces which I am
monitoring using PCs. Any info would be great.

Cheers

Nikhil